XML11NSDTDValidator (Xerces2 Implementation)
Date: 2024-01-12

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dtd
Class XML11NSDTDValidator

    java.lang.Object
      org.apache.xerces.impl.dtd.XMLDTDValidator
          org.apache.xerces.impl.dtd.XML11DTDValidator
              org.apache.xerces.impl.dtd.XML11NSDTDValidator

All Implemented Interfaces:
  XMLDTDValidatorFilter, RevalidationHandler, org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDocumentFilter, org.apache.xerces.xni.parser.XMLDocumentSource, org.apache.xerces.xni.XMLDocumentHandler

    public class XML11NSDTDValidator

extends XML11DTDValidator

The DTD validator. The validator implements a document filter: receiving document events from the scanner; validating the content and structure; augmenting the InfoSet, if applicable; and notifying the parser of the information resulting from the validation process.

Formerly, this component also handled DTD events and grammar construction. To facilitate the development of a meaningful DTD grammar caching/preparsing framework, this functionality has been moved into the XMLDTDLoader class. Therefore, this class no longer implements the DTDFilter or DTDContentModelFilter interfaces.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/namespaces
- http://xml.org/sax/features/validation
- http://apache.org/xml/features/validation/dynamic
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/grammar-pool
- http://apache.org/xml/properties/internal/datatype-validator-factory

Version:
  $Id: XML11NSDTDValidator.java 572055 2007-09-02 17:55:43Z mrglavas $
Author:
  Elena Litani, IBM, Michael Glavassevich, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.dtd.XML11DTDValidator
`DTD_VALIDATOR_PROPERTY`

Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator
`BALANCE_SYNTAX_TREES, DATATYPE_VALIDATOR_FACTORY, DYNAMIC_VALIDATION, ERROR_REPORTER, fBalanceSyntaxTrees, fDatatypeValidatorFactory, fDocLocation, fDocumentHandler, fDocumentSource, fDTDGrammar, fDTDValidation, fDynamicValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fNamespaceContext, fNamespaces, fSeenDoctypeDecl, fSymbolTable, fValENTITIES, fValENTITY, fValID, fValidation, fValidationManager, fValidationState, fValIDRef, fValIDRefs, fValNMTOKEN, fValNMTOKENS, fValNOTATION, fWarnDuplicateAttdef, GRAMMAR_POOL, NAMESPACES, PARSER_SETTINGS, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF`

Constructor Summary
`XML11NSDTDValidator()`

Method Summary
`protected void` | `endNamespaceScope(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs, boolean isEmpty)` Handles end element.
`protected void` | `startNamespaceScope(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)` Bind namespaces

Methods inherited from class org.apache.xerces.impl.dtd.XML11DTDValidator
`init, reset`

Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator
`addDTDDefaultAttrsAndValidate, characterData, characters, comment, doctypeDecl, emptyElement, endCDATA, endDocument, endElement, endGeneralEntity, getDocumentHandler, getDocumentSource, getExternalEntityRefInAttrValue, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, hasGrammar, ignorableWhitespace, invalidStandaloneAttDef, isSpace, processingInstruction, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startDocument, startElement, startGeneralEntity, textDecl, validate, validateDTDattribute, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML11NSDTDValidator

    public XML11NSDTDValidator()

Method Detail

### startNamespaceScope

    protected final void startNamespaceScope(org.apache.xerces.xni.QName element,
                                             org.apache.xerces.xni.XMLAttributes attributes,
                                             org.apache.xerces.xni.Augmentations augs)
                                      throws org.apache.xerces.xni.XNIException

  Bind namespaces

  Overrides:
    `startNamespaceScope` in class `XMLDTDValidator`
  Throws:
    `org.apache.xerces.xni.XNIException`

### endNamespaceScope

    protected void endNamespaceScope(org.apache.xerces.xni.QName element,
                                     org.apache.xerces.xni.Augmentations augs,
                                     boolean isEmpty)
                              throws org.apache.xerces.xni.XNIException

  Handles end element.

  Overrides:
    `endNamespaceScope` in class `XMLDTDValidator`
  Throws:
    `org.apache.xerces.xni.XNIException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.